Bug 23778 - bzr : incorrect l18n files
Summary: bzr : incorrect l18n files
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal minor
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-32-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2018-10-28 22:04 CET by GG HH
Modified: 2018-11-11 22:10 CET (History)
7 users (show)

See Also:
Source RPM: bzr
CVE:
Status comment:


Attachments

Description GG HH 2018-10-28 22:04:02 CET
Description of problem:

$ rpm -q -l bzr |grep share/locale
/usr/share/share/locale/ar/LC_MESSAGES/bzr.mo
/usr/share/share/locale/ast/LC_MESSAGES/bzr.mo
/usr/share/share/locale/bs/LC_MESSAGES/bzr.mo
/usr/share/share/locale/ca/LC_MESSAGES/bzr.mo
/usr/share/share/locale/cs/LC_MESSAGES/bzr.mo
/usr/share/share/locale/de/LC_MESSAGES/bzr.mo
/usr/share/share/locale/el/LC_MESSAGES/bzr.mo
/usr/share/share/locale/en_AU/LC_MESSAGES/bzr.mo
/usr/share/share/locale/en_GB/LC_MESSAGES/bzr.mo
/usr/share/share/locale/es/LC_MESSAGES/bzr.mo
/usr/share/share/locale/fa/LC_MESSAGES/bzr.mo
/usr/share/share/locale/fo/LC_MESSAGES/bzr.mo
/usr/share/share/locale/fr/LC_MESSAGES/bzr.mo
/usr/share/share/locale/gl/LC_MESSAGES/bzr.mo
/usr/share/share/locale/he/LC_MESSAGES/bzr.mo
/usr/share/share/locale/id/LC_MESSAGES/bzr.mo
/usr/share/share/locale/it/LC_MESSAGES/bzr.mo
/usr/share/share/locale/ja/LC_MESSAGES/bzr.mo
/usr/share/share/locale/ko/LC_MESSAGES/bzr.mo
/usr/share/share/locale/ms/LC_MESSAGES/bzr.mo
/usr/share/share/locale/my/LC_MESSAGES/bzr.mo
/usr/share/share/locale/nb/LC_MESSAGES/bzr.mo
/usr/share/share/locale/nl/LC_MESSAGES/bzr.mo
/usr/share/share/locale/oc/LC_MESSAGES/bzr.mo
/usr/share/share/locale/pl/LC_MESSAGES/bzr.mo
/usr/share/share/locale/pt_BR/LC_MESSAGES/bzr.mo
/usr/share/share/locale/ro/LC_MESSAGES/bzr.mo
/usr/share/share/locale/ru/LC_MESSAGES/bzr.mo
/usr/share/share/locale/sco/LC_MESSAGES/bzr.mo
/usr/share/share/locale/si/LC_MESSAGES/bzr.mo
/usr/share/share/locale/sk/LC_MESSAGES/bzr.mo
/usr/share/share/locale/sr/LC_MESSAGES/bzr.mo
/usr/share/share/locale/sv/LC_MESSAGES/bzr.mo
/usr/share/share/locale/tr/LC_MESSAGES/bzr.mo
/usr/share/share/locale/ug/LC_MESSAGES/bzr.mo
/usr/share/share/locale/uk/LC_MESSAGES/bzr.mo
/usr/share/share/locale/vi/LC_MESSAGES/bzr.mo
/usr/share/share/locale/zh_CN/LC_MESSAGES/bzr.mo

Please note : share repetition in mo path
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
GG HH 2018-10-28 22:04:11 CET

CC: (none) => boulshet

Comment 1 David GEIGER 2018-10-29 07:33:10 CET
Fixed for Cauldron and also for mga6 in Core/Updates_testing repo!

CC: (none) => geiger.david68210

Comment 2 Marja Van Waes 2018-10-29 08:40:18 CET
(In reply to David GEIGER from comment #1)
> Fixed for Cauldron and also for mga6 in Core/Updates_testing repo!

Thanks, David :-)

Assigning to you for the Advisory.

Assignee: bugsquad => geiger.david68210
CC: (none) => marja11
Version: Cauldron => 6

Comment 3 David GEIGER 2018-10-29 14:53:20 CET
Assingning to QA,


Advisory:
========================

Some users reported that all bzr translation files are in a wrong path "/usr/share/share/locale/" instead of /usr/share/locale/".
This update fixes this path issue.

========================

Packages in 6/core/updates_testing:
========================
bzr-2.7.0-1.2.mga6.i586.rpm

bzr-2.7.0-1.2.mga6.x86_64.rpm

Source RPM: 
========================
bzr-2.7.0-1.2.mga6.src.rpm

Assignee: geiger.david68210 => qa-bugs

Comment 4 Herman Viaene 2018-11-05 16:50:00 CET
MGA6-32 MATE on IBM Thinkpad R50e
No installation issues.
Checked in MCC before installation that the files had the correct path, did same check after installation in /usr/share, all OK.

CC: (none) => herman.viaene
Whiteboard: (none) => MGA6-32-OK

Comment 5 Thomas Andrews 2018-11-09 22:09:10 CET
Good enough for me. Validating. Advisory in Comment 3.

Keywords: (none) => validated_update
CC: (none) => andrewsfarm, sysadmin-bugs

Comment 6 Lewis Smith 2018-11-11 21:24:59 CET
Advisory done from comment 3.

Keywords: (none) => advisory
CC: (none) => lewyssmith

Comment 7 Mageia Robot 2018-11-11 22:10:53 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0169.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.